#
#  @Project: The cross-platform plug-in toolkit (XPIN).
#  @Project-Version: 1.2
#  @Project-Date: December 1992.
#  @Filename: WCALLER.M
#
#  @Author: Ramin Firoozye - rp&A Inc.
#  @Copyright: (c) 1992, rp&A Inc. - San Francisco, CA.
#  @License.
#  The portable plug-in toolkit source and library code is
#  presented without any warranty or assumption of responsibility
#  from rp&A Inc. and the author. You can not sell this toolkit in
#  source or library form as a standalone product without express
#  permission of rp&A Inc. You are, however, encouraged to use this
#  code in your personal or commercial application without any
#  royalties. You can modify the sources as long as the license
#  and credits are included with the source.
#
#  For bugs, updates, thanks, or suggestions you can contact the
#  author at:
#	CompuServe: 70751,252
#	Internet: rpa@netcom.com
#
#  @End-License.
#
# @Description.
#
# NOTE: This is for Microsoft NMAKE.
#
# To invoke it:
#		nmake /f wcaller.m
#
# To clean up the extra stuff after you build it:
#
#		nmake /f wcaller.m clean
#
# To clean up back to the original state:
#
#		nmake /f wcaller.m delete
#
# NOTE: The compile/link flags are set for debugging mode
#
# @End-Description.
#

CC  = cl
LINK = link
MODEL = M
CFLAGS  = /W0 /G2 /GA /A$(MODEL) /GEf /Zp /BATCH /Od /Zi /Gs
LFLAGS = /CO /NOF /ONERROR:NOEXE
LLIBS  = LIBW.LIB /NOD:$(MODEL)LIBCE $(MODEL)LIBCEW 
FILES  = WCALLER.C WCALLER.DEF WCALLER.RC XPINGLUE.C
OBJS   = wcaller.obj xpinglue.obj

all: wcaller.exe

wcaller.obj : wcaller.c wcaller.h xpintype.h xpinshr.h xpincall.h
	$(CC) /c $(CFLAGS) /Fowcaller.obj wcaller.c 

wcaller.res : wcaller.rc wcaller.h
	rc /r /fo wcaller.res wcaller.rc

xpinglue.obj : xpinglue.c xpintype.h xpinshr.h xpincall.h
	$(CC) /c $(CFLAGS) /Foxpinglue.obj xpinglue.c

wcaller.exe : wcaller.def $(OBJS) wcaller.res
	link $(OBJS), wcaller.exe,NUL,$(LLIBS),wcaller.def $(LFLAGS)
	rc wcaller.res

clean:
	del wcaller.obj 
	del xpinglue.obj 
	del wcaller.res

delete: clean
	del wcaller.exe
